summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass')
-rw-r--r--eclass/x-modular.eclass14
1 files changed, 13 insertions, 1 deletions
diff --git a/eclass/x-modular.eclass b/eclass/x-modular.eclass
index d3ed9d92c988..6fff13164db2 100644
--- a/eclass/x-modular.eclass
+++ b/eclass/x-modular.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/x-modular.eclass,v 1.60 2006/05/23 17:50:30 spyderous Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/x-modular.eclass,v 1.61 2006/06/28 02:20:31 joshuabaergen Exp $
#
# Author: Donnie Berkholz <spyderous@gentoo.org>
#
@@ -195,6 +195,17 @@ x-modular_dri_check() {
fi
}
+x-modular_server_supports_drivers_check() {
+ # (#135873) Only certain servers will actually use or be capable of
+ # building external drivers, including binary drivers.
+ if [[ -n "${DRIVER}" ]]; then
+ if ! built_with_use x11-base/xorg-server xorg; then
+ eerror "x11-base/xorg-server is not built with support for external drivers."
+ die "You must build x11-base/xorg-server with USE=xorg."
+ fi
+ fi
+}
+
x-modular_unpack_source() {
unpack ${A}
cd ${S}
@@ -252,6 +263,7 @@ x-modular_reconf_source() {
x-modular_src_unpack() {
x-modular_specs_check
+ x-modular_server_supports_drivers_check
x-modular_dri_check
x-modular_unpack_source
x-modular_patch_source